# DeIdCardFront class

German ID card, front side

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeIdCardFront

## Constructors

DeIdCardFront(GenericDocument document)

## Properties

birthDate → ValidatedTextFieldWrapper
  Birth date
  no setter
birthplace → TextFieldWrapper
  Birthplace
  no setter
document → GenericDocument
  final inherited
expiryDate → ValidatedTextFieldWrapper
  Expiry date
  no setter
givenNames → TextFieldWrapper
  Given names
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
id → TextFieldWrapper
  Document ID number (in the top-right corner)
  no setter
maidenName → TextFieldWrapper?
  Maiden name
  no setter
nationality → TextFieldWrapper
  Nationality
  no setter
photo → TextFieldWrapper
  Photo image
  no setter
pin → TextFieldWrapper
  PIN
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
signature → TextFieldWrapper
  Signature image
  no setter
surname → TextFieldWrapper
  Surname
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.